# encoding: utf-8
require "logstash/devutils/rspec/spec_helper"
require "logstash/outputs/coralogix_logger"
require "logstash/codecs/plain"
require "logstash/event"

file = "logstash.test.conf"
@@configuration = String.new
@@configuration << File.read(file)


describe LogStash::Outputs::CoralogixLogger do
  let(:config) { { 'config_params' =>  {"PRIVATE_KEY" => "9626c7dd-8174-5015-a3fe-5572e042b6d9", "APP_NAME" => "Logstash Tester", "SUB_SYSTEM" => "Logstash subsystem"}}}

  let(:output) { LogStash::Outputs::CoralogixLogger.new config}

  before do
    output.register
  end

  describe "send message" do
    records = []
    records << {"message" => "Hello from Logstash"}
    subject { output.multi_receive(records) }

    it "returns 1" do
      expect(subject).to eq(1)
    end
  end
end
