Gem::Specification.new do |s|
  s.name          = 'logstash-output-coralogix_logger'
  s.version       = '0.21.2'
  s.licenses      = ['Apache License (2.0)']
  s.summary       = 'Coralogix Logstash logger SDK'
  s.description   = 'Coralogix Logstash logger to send logs to Coralogix server'
  s.homepage      = 'http://www.coralogix.com'
  s.authors       = ['Royee Goldberg']
  s.email         = 'royee@coralogix.com'
  s.require_paths = ['lib']

  # Files
  s.files = Dir['lib/**/*','spec/**/*','vendor/**/*','*.gemspec','*.md','CONTRIBUTORS','Gemfile','LICENSE','NOTICE.TXT']
   # Tests
  s.test_files = s.files.grep(%r{^(test|spec|features)/})

  # Special flag to let us know this is actually a logstash plugin
  s.metadata = { "logstash_plugin" => "true", "logstash_group" => "output" }

  # Gem dependencies
  #s.add_dependency 'centralized_ruby_logger'
  s.add_runtime_dependency "logstash-core-plugin-api", "~> 2.0"
  s.add_runtime_dependency "logstash-codec-plain"
  s.add_runtime_dependency "centralized_ruby_logger", ">= 0.0.12"
  s.add_development_dependency "logstash-devutils"
end
